.static-height-25{
    height: 25px;
    overflow: hidden;
}

.static-height-30{
    height: 30px;
    overflow: hidden;
}

.non-bootstrap-border-box{
    box-sizing: content-box;
}

.players-table-spec-icon {
    width: 24px;
    height: 24px;
    border: 1px solid #555555;
    margin-top: 1px;
    --size: 24;
}

.player-detail-spec-icon {
    width: 36px;
    height: 36px;
    border: 1px solid #555555;
    margin-top: 1px;
    margin-right : 5px;
    margin-bottom: 5px;
    --size: 36;
}

.sprite {
    object-fit: cover;
}

.actor-sprite-boss {
    object-position: calc(0px*var(--size)) 0px
}

.actor-sprite-death-knight-blood {
    object-position: calc(-1px*var(--size)) 0px
}

.actor-sprite-death-knight-blooddps {
    object-position: calc(-2px*var(--size)) 0px
}

.actor-sprite-death-knight-frost {
    object-position: calc(-3px*var(--size)) 0px
}

.actor-sprite-death-knight-lichborne {
    object-position: calc(-4px*var(--size)) 0px
}

.actor-sprite-death-knight-melee {
    object-position: calc(-5px*var(--size)) 0px
}

.actor-sprite-death-knight-runeblade {
    object-position: calc(-6px*var(--size)) 0px
}

.actor-sprite-death-knight-unholy {
    object-position: calc(-7px*var(--size)) 0px
}

.actor-sprite-death-knight {
    object-position: calc(-8px*var(--size)) 0px
}

.actor-sprite-demon-hunter-devourer {
    object-position: calc(-9px*var(--size)) 0px
}

.actor-sprite-demon-hunter-havoc {
    object-position: calc(-10px*var(--size)) 0px
}

.actor-sprite-demon-hunter-vengeance {
    object-position: calc(-11px*var(--size)) 0px
}

.actor-sprite-demon-hunter {
    object-position: calc(-12px*var(--size)) 0px
}

.actor-sprite-druid-balance {
    object-position: calc(-13px*var(--size)) 0px
}

.actor-sprite-druid-dreamstate {
    object-position: calc(-14px*var(--size)) 0px
}

.actor-sprite-druid-feral {
    object-position: calc(-15px*var(--size)) 0px
}

.actor-sprite-druid-guardian {
    object-position: calc(-16px*var(--size)) 0px
}

.actor-sprite-druid-restoration {
    object-position: calc(-17px*var(--size)) 0px
}

.actor-sprite-druid-warden {
    object-position: calc(-18px*var(--size)) 0px
}

.actor-sprite-druid {
    object-position: calc(-19px*var(--size)) 0px
}

.actor-sprite-evoker-augmentation {
    object-position: calc(-20px*var(--size)) 0px
}

.actor-sprite-evoker-devastation {
    object-position: calc(-21px*var(--size)) 0px
}

.actor-sprite-evoker-preservation {
    object-position: calc(-22px*var(--size)) 0px
}

.actor-sprite-evoker-ranged {
    object-position: calc(-23px*var(--size)) 0px
}

.actor-sprite-evoker {
    object-position: calc(-24px*var(--size)) 0px
}

.actor-sprite-hunter-beastmastery {
    object-position: calc(-25px*var(--size)) 0px
}

.actor-sprite-hunter-marksmanship {
    object-position: calc(-26px*var(--size)) 0px
}

.actor-sprite-hunter-melee {
    object-position: calc(-27px*var(--size)) 0px
}

.actor-sprite-hunter-ranged {
    object-position: calc(-28px*var(--size)) 0px
}

.actor-sprite-hunter-survival {
    object-position: calc(-29px*var(--size)) 0px
}

.actor-sprite-hunter {
    object-position: calc(-30px*var(--size)) 0px
}

.actor-sprite-mage-arcane {
    object-position: calc(-31px*var(--size)) 0px
}

.actor-sprite-mage-fire {
    object-position: calc(-32px*var(--size)) 0px
}

.actor-sprite-mage-frost {
    object-position: calc(-33px*var(--size)) 0px
}

.actor-sprite-mage-healer {
    object-position: calc(-34px*var(--size)) 0px
}

.actor-sprite-mage-ranged {
    object-position: calc(-35px*var(--size)) 0px
}

.actor-sprite-mage {
    object-position: calc(-36px*var(--size)) 0px
}

.actor-sprite-monk-brewmaster {
    object-position: calc(-37px*var(--size)) 0px
}

.actor-sprite-monk-mistweaver {
    object-position: calc(-38px*var(--size)) 0px
}

.actor-sprite-monk-windwalker {
    object-position: calc(-39px*var(--size)) 0px
}

.actor-sprite-monk {
    object-position: calc(-40px*var(--size)) 0px
}

.actor-sprite-npc {
    object-position: calc(-41px*var(--size)) 0px
}

.actor-sprite-paladin-holy {
    object-position: calc(-42px*var(--size)) 0px
}

.actor-sprite-paladin-justicar {
    object-position: calc(-43px*var(--size)) 0px
}

.actor-sprite-paladin-protection {
    object-position: calc(-44px*var(--size)) 0px
}

.actor-sprite-paladin-retribution {
    object-position: calc(-45px*var(--size)) 0px
}

.actor-sprite-paladin {
    object-position: calc(-46px*var(--size)) 0px
}

.actor-sprite-pet {
    object-position: calc(-47px*var(--size)) 0px
}

.actor-sprite-priest-discipline {
    object-position: calc(-48px*var(--size)) 0px
}

.actor-sprite-priest-healing {
    object-position: calc(-49px*var(--size)) 0px
}

.actor-sprite-priest-holy {
    object-position: calc(-50px*var(--size)) 0px
}

.actor-sprite-priest-shadow {
    object-position: calc(-51px*var(--size)) 0px
}

.actor-sprite-priest-smiter {
    object-position: calc(-52px*var(--size)) 0px
}

.actor-sprite-priest {
    object-position: calc(-53px*var(--size)) 0px
}

.actor-sprite-rogue-assassination {
    object-position: calc(-54px*var(--size)) 0px
}

.actor-sprite-rogue-combat {
    object-position: calc(-55px*var(--size)) 0px
}

.actor-sprite-rogue-melee {
    object-position: calc(-56px*var(--size)) 0px
}

.actor-sprite-rogue-outlaw {
    object-position: calc(-57px*var(--size)) 0px
}

.actor-sprite-rogue-subtlety {
    object-position: calc(-58px*var(--size)) 0px
}

.actor-sprite-rogue-tank {
    object-position: calc(-59px*var(--size)) 0px
}

.actor-sprite-rogue {
    object-position: calc(-60px*var(--size)) 0px
}

.actor-sprite-shaman-elemental {
    object-position: calc(-61px*var(--size)) 0px
}

.actor-sprite-shaman-enhancement {
    object-position: calc(-62px*var(--size)) 0px
}

.actor-sprite-shaman-restoration {
    object-position: calc(-63px*var(--size)) 0px
}

.actor-sprite-shaman-tank {
    object-position: calc(-64px*var(--size)) 0px
}

.actor-sprite-shaman {
    object-position: calc(-65px*var(--size)) 0px
}

.actor-sprite-tricksofthetrade {
    object-position: calc(-66px*var(--size)) 0px
}

.actor-sprite-unholyfrenzy {
    object-position: calc(-67px*var(--size)) 0px
}

.actor-sprite-warlock-affliction {
    object-position: calc(-68px*var(--size)) 0px
}

.actor-sprite-warlock-demonology {
    object-position: calc(-69px*var(--size)) 0px
}

.actor-sprite-warlock-destruction {
    object-position: calc(-70px*var(--size)) 0px
}

.actor-sprite-warlock-ranged {
    object-position: calc(-71px*var(--size)) 0px
}

.actor-sprite-warlock-tank {
    object-position: calc(-72px*var(--size)) 0px
}

.actor-sprite-warlock {
    object-position: calc(-73px*var(--size)) 0px
}

.actor-sprite-warrior-arms {
    object-position: calc(-74px*var(--size)) 0px
}

.actor-sprite-warrior-champion {
    object-position: calc(-75px*var(--size)) 0px
}

.actor-sprite-warrior-fury {
    object-position: calc(-76px*var(--size)) 0px
}

.actor-sprite-warrior-gladiator {
    object-position: calc(-77px*var(--size)) 0px
}

.actor-sprite-warrior-melee {
    object-position: calc(-78px*var(--size)) 0px
}

.actor-sprite-warrior-protection {
    object-position: calc(-79px*var(--size)) 0px
}

.actor-sprite-warrior-warden {
    object-position: calc(-80px*var(--size)) 0px
}

.actor-sprite-warrior {
    object-position: calc(-81px*var(--size)) 0px
}
